commit 7277973dae3ac26c3f773693932986464fe94ce1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 20 00:17:07 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2d7ea562fc5..e9d9bbafd10 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,50 @@
+2020-08-19  Joe Ramsay  <joe.ramsay@arm.com>
+
+	Backported from master:
+	2020-07-29  Joe Ramsay  <joe.ramsay@arm.com>
+
+	PR target/96682
+	* config/arm/arm-protos.h (arm_coproc_mem_operand_no_writeback):
+	Declare prototype.
+	(arm_mve_mode_and_operands_type_check): Declare prototype.
+	* config/arm/arm.c (arm_coproc_mem_operand): Refactor to use
+	_arm_coproc_mem_operand.
+	(arm_coproc_mem_operand_wb): New function to cover full, limited
+	and no writeback.
+	(arm_coproc_mem_operand_no_writeback): New constraint for memory
+	operand with no writeback.
+	(arm_print_operand): Extend 'E' specifier for memory operand
+	that does not support writeback.
+	(arm_mve_mode_and_operands_type_check): New constraint check for
+	MVE memory operands.
+	* config/arm/constraints.md: Add Uj constraint for VFP vldr.16
+	and vstr.16.
+	* config/arm/vfp.md (*mov_load_vfp_hf16): New pattern for
+	vldr.16.
+	(*mov_store_vfp_hf16): New pattern for vstr.16.
+	(*mov<mode>_vfp_<mode>16): Remove MVE moves.
+
+2020-08-19  Peter Bergner  <bergner@linux.ibm.com>
+
+	Backported from master:
+	2020-08-18  Peter Bergner  <bergner@linux.ibm.com>
+
+	* config/rs6000/rs6000-builtin.def (BU_VSX_1): Rename xvcvbf16sp to
+	xvcvbf16spn.
+	* config/rs6000/rs6000-call.c (builtin_function_type): Likewise.
+	* config/rs6000/vsx.md: Likewise.
+	* doc/extend.texi: Likewise.
+
+2020-08-19  Peter Bergner  <bergner@linux.ibm.com>
+
+	Backported from master:
+	2020-08-13  Peter Bergner  <bergner@linux.ibm.com>
+
+	PR target/96506
+	* config/rs6000/rs6000-call.c (rs6000_promote_function_mode): Disallow
+	MMA types as return values.
+	(rs6000_function_arg): Disallow MMA types as function arguments.
+
 2020-08-18  Uroš Bizjak  <ubizjak@gmail.com>
 
 	PR target/96536
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index a8098fbd6e3..7829179094c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200819
+20200820
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f8dbeb5cc41..0fc057a860c 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,26 @@
+2020-08-19  Joe Ramsay  <joe.ramsay@arm.com>
+
+	Backported from master:
+	2020-07-29  Joe Ramsay  <joe.ramsay@arm.com>
+
+	PR target/96682
+	* gcc.target/arm/mve/intrinsics/mve-vldstr16-no-writeback.c: New test.
+
+2020-08-19  Peter Bergner  <bergner@linux.ibm.com>
+
+	Backported from master:
+	2020-08-18  Peter Bergner  <bergner@linux.ibm.com>
+
+	* gcc.target/powerpc/mma-builtin-3.c: Rename xvcvbf16sp to xvcvbf16spn.
+
+2020-08-19  Peter Bergner  <bergner@linux.ibm.com>
+
+	Backported from master:
+	2020-08-13  Peter Bergner  <bergner@linux.ibm.com>
+
+	PR target/96506
+	* gcc.target/powerpc/pr96506.c: New test.
+
 2020-08-18  Jason Merrill  <jason@redhat.com>
 
 	PR c++/96199
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index d7282615a77..12668a1feb9 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,19 @@
+2020-08-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-08-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/c++config (_GLIBCXX_DEPRECATED_SUGGEST): New
+	macro for "use 'foo' instead" message in deprecated warnings.
+	* include/bits/ios_base.h (io_state, open_mode, seek_dir)
+	(streampos, streamoff): Use _GLIBCXX_DEPRECATED_SUGGEST.
+	* include/std/streambuf (stossc): Replace C++11 attribute
+	with _GLIBCXX_DEPRECATED_SUGGEST.
+	* include/std/type_traits (__is_nullptr_t): Use
+	_GLIBCXX_DEPRECATED_SUGGEST instead of _GLIBCXX_DEPRECATED.
+	* testsuite/27_io/types/1.cc: Check for deprecated warnings.
+	Also check for io_state, open_mode and seek_dir typedefs.
+
 2020-08-11  Jonathan Wakely  <jwakely@redhat.com>
 
 	PR libstdc++/89760

